Bug 1071565

Summary: Tryton: unable to get past the profile screen
Product: [openSUSE] openSUSE Tumbleweed Reporter: David Disseldorp <ddiss>
Component: OtherAssignee: Axel Braun <axel.braun>
Status: RESOLVED NORESPONSE QA Contact: E-mail List <qa-bugs>
Severity: Normal    
Priority: P5 - None CC: astieger, corbet-s-suse
Version: CurrentFlags: axel.braun: needinfo? (corbet-s-suse)
Target Milestone: ---   
Hardware: Other   
OS: Other   
Whiteboard:
Found By: --- Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description David Disseldorp 2017-12-06 16:10:54 UTC
In an LWN article posted at https://lwn.net/Articles/740733/ , Jonathan Corbet (cc'ed) raised the following issue:

  As it happens, the version of Tryton packaged with Fedora 27 is 4.0,
  which is somewhat behind the current release (4.6). It seems
  reasonable to believe that a more recent release might yield better
  results. The openSUSE Tumbleweed distribution packages 4.2 instead,
  but it never proved possible to get past the profile screen with those
  packages installed. One might plausibly claim that support for Tryton
  is not the highest-priority objective for some distributors, at least.

A new version of Tryton (4.2.9, tagged "bugfix release") was just pushed to Factory yesterday (2017-12-05, the same day of article publication). We should confirm whether the issue is still present.
Comment 1 Axel Braun 2017-12-06 16:22:06 UTC
We ship Tryton 4.2 for the compatibility with GNU Health - the latest build for Tryton is available here:
https://build.opensuse.org/project/show/Application:ERP:Tryton:4.6

As I have never seen that issue, please submit a verbose error description.
Comment 2 Andreas Stieger 2017-12-07 20:55:30 UTC
> In an LWN article posted at https://lwn.net/Articles/740733/ , Jonathan
> Corbet (cc'ed) raised the following issue:

Could be anything, including PEBKAC.

Anyway, Axel, processed your submission.

Test update packages will appear in:
http://download.opensuse.org/repositories/openSUSE:/Maintenance:/7571/openSUSE_Leap_42.3_Update/
http://download.opensuse.org/update/leap/42.3-test/
Comment 3 Swamp Workflow Management 2017-12-12 17:09:38 UTC
openSUSE-RU-2017:3269-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1071565
CVE References: 
Sources used:
openSUSE Leap 42.3 (src):    gnuhealth-3.2.9-41.1, tryton-4.2.9-22.1, trytond-4.2.8-24.1, trytond_purchase_request-4.2.3-6.1
Comment 4 Axel Braun 2017-12-29 09:41:10 UTC
I cant reproduce the problem, and reporter is not responding -> closing bug